# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class GoogleBaseAttributeId

    java.lang.Object
      com.google.api.gbase.client.GoogleBaseAttributeId

    public class GoogleBaseAttributeId

extends java.lang.Object

The definition (name and type) of a Google Base attribute.

Constructor Summary
`GoogleBaseAttributeId(java.lang.String name, GoogleBaseAttributeType type)` Creates a public attribute id.

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getName()` Gets the attribute name.
`GoogleBaseAttributeType` `getType()` Gets the attribute type, or null if it is not known.
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GoogleBaseAttributeId

    public GoogleBaseAttributeId(java.lang.String name,
                                 GoogleBaseAttributeType type)

  Creates a public attribute id.

  Parameters:
    `name` - attribute name
    `type` - attribute type, can be null if it is not known

Method Detail

### getName

    public java.lang.String getName()

  Gets the attribute name.

### getType

    public GoogleBaseAttributeType getType()

  Gets the attribute type, or null if it is not known.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`